-- Customer specific once-script for SKAmersFoorts
-- (c) 2010 SG|facilitor bv 
-- $Revision$ 
-- $Id$
--
-- Support: +31 53 4800710

SET ECHO ON;
SPOOL skaf7.lst;

-- skaf-tabel "skaf_exp_factuur" is obsolete, kan dus mooi weg.
-- De registratie van facturen-export naar exact kan nu mooi met de tracking-tabel fac_tracking
-- Dus droppen deze handel...
DROP TABLE skaf_exp_factuur;

-- Export van facturen naar Exact gebeurt niet meer via EXPORT.INI-setting [EXACT], maar via 
-- de algemene EXPORT.INI-setting [FCLT_FACTUUR]
-- Procedure "skaf_export_exact" is obsolete, wordt niet meer met die CSV-achtige tabelconstructie,
-- maar wordt nu op basis van XML-achtige tabelconstructie gedaan.
-- Dus droppen deze handel...
DROP PROCEDURE skaf_select_exact;
DROP PROCEDURE skaf_export_exact;
DROP VIEW skaf_v_export_exact;



-- Menutaak wijzigen: argument 'Name' in export naar Exact wijzigen van 'EXACT' in 'FCLT_FACTUUR'
update fac_menu
set fac_menu_alturl = 'Appl/Shared/export.asp?name=FCLT_FACTUUR'
where fac_menu_key = 203;

-- Menutaak wijzigen: argument 'Name' in verwerk_export naar Exact wijzigen van 'VERWERK_EXACT' in 'UNDO_EXACT'
update fac_menu
set fac_menu_alturl = 'Appl/Shared/export.asp?name=UNDO_EXACT',
fac_menu_altlabel = 'Undo laatste Exact-export'
where fac_menu_key = 204;

insert into fac_usrtab (fac_usrtab_naam, fac_usrtab_view)
values ('$SYSTEM','T');

insert into fac_usrdata (fac_usrtab_key, fac_usrdata_code, fac_usrdata_omschr, fac_usrdata_prijs, fac_usrdata_volgnr)
select fac_usrtab_key, '$PREFIX_FCLT_FACTUUR_XML_HEADER', 'exact', 0 , 0
from fac_usrtab tab
where  tab.fac_usrtab_naam = '$SYSTEM';

-- Register in 'SYSTEM' : dagboeknummer van exact registreren.
insert into fac_usrdata (fac_usrtab_key, fac_usrdata_code, fac_usrdata_omschr, fac_usrdata_prijs, fac_usrdata_volgnr)
select fac_usrtab_key, 'exact_dagboeknr', '1', 0 , 0
from fac_usrtab tab
where  tab.fac_usrtab_naam = '$SYSTEM';

insert into fac_usrdata (fac_usrtab_key, fac_usrdata_code, fac_usrdata_omschr, fac_usrdata_prijs, fac_usrdata_volgnr)
select fac_usrtab_key, '$FIN_KENMERK_KEY_BESTAND', '1', 0 , 0
from fac_usrtab tab
where  tab.fac_usrtab_naam = '$SYSTEM';

-- 
-- Kostenplaats bij meldingen moeten verplicht zijn en standaard op kostenklant.
-- Standaard kostenklant
update ins_srtdiscipline sd
set SD.INS_SRTDISCIPLINE_KOSTENKLANT = 1
where SD.INS_SRTDISCIPLINE_MODULE = 'MLD';

update ins_tab_discipline d
set D.INS_DISCIPLINE_KPNVERPLICHT = 1
where D.INS_DISCIPLINE_MODULE = 'MLD';

-- Kenmerk 'Gescande factuur' (vanuit Xtractor) bij de factuur
insert into fin_kenmerk(fin_kenmerk_volgnr, fin_kenmerk_omschrijving, fin_kenmerk_kenmerktype)
values(10,'Gescande factuur', 'X');

update fac_import_app
set fac_import_app_oms = 'Xtractor import facturenbestand',
fac_import_app_systeem = NULL,
fac_import_app_xsl = 'xsl/fclt_import_xtractor.xsl'
where fac_import_app_code = 'FACTUUR';

BEGIN adm.systrackscript('$Workfile: skaf7.sql $', '$Revision$', 1); END;
/

COMMIT;
SPOOL OFF;
